import request from '@/utils/request'

/**
 *  @data 新增注册参数 公司注册接口
 */
export const addCompanyAPI = (data) => {
    return request.post('/system/dept', data)
}
/**
 *  @data 查询参数 公司列表查询接口
 */
export const getDeptListAPI = (data) => {
    return request.get('/system/dept/deptList', { params: data })
}
/**
 *  @id 查询参数 获取详情
 */
export const getDeptDetailsAPI = (id) => {
    return request.get(`/system/dept/${id}`)
}
/**
 *  @data 编辑参数 编辑公司信息提交接口
 */
export const editCompanyAPI = (data) => {
    return request.post('/system/dept/edit', data)
}
/**
 *  @data  注销
 */
export const turnOnOffAPI = (data) => {
    return request.post('/system/dept/turnOnOff', data)
}
/**
 *  @data 查询参数 获取地址信息
 */
export const getAddressListAPI = (data) => {
    return request.get('/system/address/list', { params: data })
}
